Package Gnumed :: Package wxpython :: Module gmMacro |
[frames] | no frames]

# Module gmMacro

source code

GNUmed macro primitives.

This module implements functions a macro can legally use.

Version: $Revision: 1.51 $

Author: K.Hilbert <karsten.hilbert@gmx.net>

Classes
| gmPlaceholderHandler Returns values for placeholders.
| cMacroPrimitives Functions a macro can legally use.

Variables
| known_placeholders = `['lastname', 'firstname', 'title', 'date_`...``
| known_variant_placeholders = `[u'soap', u'progress_notes', u'em`...``
| default_placeholder_regex = `r'\$<.+?>\$'`
| default_placeholder_start = `u'$<'`
| default_placeholder_end = `u'>$'`

Imports: sys, time, random, types, logging, wx, gmI18N, gmGuiBroker, gmTools, gmBorg, gmExceptions, gmCfg2, gmDateTime, gmPerson, gmStaff, gmDemographicRecord, gmMedication, gmPathLab, gmVaccination, gmPersonSearch, gmGuiHelpers, gmNarrativeWidgets, gmPatSearchWidgets, gmPlugin, gmEMRStructWidgets

Variables Details

  ### known_placeholders Value:
      ['lastname', 'firstname', 'title', 'date_of_birth', 'progress_notes',
      'soap', 'soap_s', 'soap_o', 'soap_a', 'soap_p', 'soap_u', u'client_ver
      sion', u'current_provider', u'primary_praxis_provider', u'allergy_stat
      e']

  ### known_variant_placeholders Value:
      [u'soap', u'progress_notes', u'emr_journal', u'date_of_birth', u'patie
      nt_address', u'adr_street', u'adr_number', u'adr_location', u'adr_post
      code', u'adr_region', u'adr_country', u'patient_comm', u'external_id',
       u'gender_mapper', u'current_meds', u'current_meds_table', u'current_m
      eds_notes', u'lab_table', u'latest_vaccs_table', u'today', u'tex_escap
      e', u'allergies', u'allergy_list', u'problems', u'name', u'free_text',
       u'soap_for_encounters', u'encounter_list', u'current_provider_externa
      l_id', u'primary_praxis_provider_external_id']